VULKAN_HPP_NAMESPACE::RenderPassMultiviewCreateInfo Struct Reference

`#include <vulkan.hpp>`

## Public Member Functions

| RenderPassMultiviewCreateInfo (uint32_t subpassCount_=0, const uint32_t *pViewMasks_=nullptr, uint32_t dependencyCount_=0, const int32_t *pViewOffsets_=nullptr, uint32_t correlationMaskCount_=0, const uint32_t *pCorrelationMasks_=nullptr)
| RenderPassMultiviewCreateInfo (VkRenderPassMultiviewCreateInfo const &rhs)
RenderPassMultiviewCreateInfo & | operator= (VkRenderPassMultiviewCreateInfo const &rhs)
RenderPassMultiviewCreateInfo & | setPNext (const void *pNext_)
RenderPassMultiviewCreateInfo & | setSubpassCount (uint32_t subpassCount_)
RenderPassMultiviewCreateInfo & | setPViewMasks (const uint32_t *pViewMasks_)
RenderPassMultiviewCreateInfo & | setDependencyCount (uint32_t dependencyCount_)
RenderPassMultiviewCreateInfo & | setPViewOffsets (const int32_t *pViewOffsets_)
RenderPassMultiviewCreateInfo & | setCorrelationMaskCount (uint32_t correlationMaskCount_)
RenderPassMultiviewCreateInfo & | setPCorrelationMasks (const uint32_t *pCorrelationMasks_)
| operator VkRenderPassMultiviewCreateInfo const & () const
| operator VkRenderPassMultiviewCreateInfo & ()
bool | operator== (RenderPassMultiviewCreateInfo const &rhs) const
bool | operator!= (RenderPassMultiviewCreateInfo const &rhs) const

## Data Fields

const void * | pNext = nullptr
uint32_t | subpassCount
const uint32_t * | pViewMasks
uint32_t | dependencyCount
const int32_t * | pViewOffsets
uint32_t | correlationMaskCount
const uint32_t * | pCorrelationMasks

## Private Attributes

StructureType | sType = StructureType::eRenderPassMultiviewCreateInfo

## Detailed Description

Definition at line 14082 of file vulkan.hpp.

## Constructor & Destructor Documentation

## RenderPassMultiviewCreateInfo() [1/2]

VULKAN_HPP_NAMESPACE::RenderPassMultiviewCreateInfo::RenderPassMultiviewCreateInfo | ( | uint32_t | subpassCount_ = `0`,
|  | const uint32_t * | pViewMasks_ = `nullptr`,
|  | uint32_t | dependencyCount_ = `0`,
|  | const int32_t * | pViewOffsets_ = `nullptr`,
|  | uint32_t | correlationMaskCount_ = `0`,
|  | const uint32_t * | pCorrelationMasks_ = `nullptr`
| ) |  |

inline

Definition at line 14084 of file vulkan.hpp.

: subpassCount( subpassCount_ )
, pViewMasks( pViewMasks_ )
, dependencyCount( dependencyCount_ )
, pViewOffsets( pViewOffsets_ )
, correlationMaskCount( correlationMaskCount_ )
, pCorrelationMasks( pCorrelationMasks_ )
{
}

## RenderPassMultiviewCreateInfo() [2/2]

VULKAN_HPP_NAMESPACE::RenderPassMultiviewCreateInfo::RenderPassMultiviewCreateInfo | ( | VkRenderPassMultiviewCreateInfo const & | rhs | ) |

inline

Definition at line 14099 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( RenderPassMultiviewCreateInfo ) );
}

References memcpy.

## Member Function Documentation

## operator VkRenderPassMultiviewCreateInfo &()

VULKAN_HPP_NAMESPACE::RenderPassMultiviewCreateInfo::operator VkRenderPassMultiviewCreateInfo & | ( |  | ) |

inline

Definition at line 14156 of file vulkan.hpp.

{
return *reinterpret_cast<VkRenderPassMultiviewCreateInfo*>(this);
}

## operator VkRenderPassMultiviewCreateInfo const &()

VULKAN_HPP_NAMESPACE::RenderPassMultiviewCreateInfo::operator VkRenderPassMultiviewCreateInfo const & | ( |  | ) | const

inline

Definition at line 14151 of file vulkan.hpp.

{
return *reinterpret_cast<const VkRenderPassMultiviewCreateInfo*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::RenderPassMultiviewCreateInfo::operator!= | ( | RenderPassMultiviewCreateInfo const & | rhs | ) | const

inline

Definition at line 14173 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

RenderPassMultiviewCreateInfo& VULKAN_HPP_NAMESPACE::RenderPassMultiviewCreateInfo::operator= | ( | VkRenderPassMultiviewCreateInfo const & | rhs | ) |

inline

Definition at line 14104 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( RenderPassMultiviewCreateInfo ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::RenderPassMultiviewCreateInfo::operator== | ( | RenderPassMultiviewCreateInfo const & | rhs | ) | const

inline

Definition at line 14161 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( subpassCount == rhs.subpassCount )
&& ( pViewMasks == rhs.pViewMasks )
&& ( dependencyCount == rhs.dependencyCount )
&& ( pViewOffsets == rhs.pViewOffsets )
&& ( correlationMaskCount == rhs.correlationMaskCount )
&& ( pCorrelationMasks == rhs.pCorrelationMasks );
}

References correlationMaskCount, dependencyCount, pCorrelationMasks, pNext, pViewMasks, pViewOffsets, sType, and subpassCount.

Referenced by operator!=().

## setCorrelationMaskCount()

RenderPassMultiviewCreateInfo& VULKAN_HPP_NAMESPACE::RenderPassMultiviewCreateInfo::setCorrelationMaskCount | ( | uint32_t | correlationMaskCount_ | ) |

inline

Definition at line 14139 of file vulkan.hpp.

{
correlationMaskCount = correlationMaskCount_;
return *this;
}

References correlationMaskCount.

## setDependencyCount()

RenderPassMultiviewCreateInfo& VULKAN_HPP_NAMESPACE::RenderPassMultiviewCreateInfo::setDependencyCount | ( | uint32_t | dependencyCount_ | ) |

inline

Definition at line 14127 of file vulkan.hpp.

{
dependencyCount = dependencyCount_;
return *this;
}

References dependencyCount.

## setPCorrelationMasks()

RenderPassMultiviewCreateInfo& VULKAN_HPP_NAMESPACE::RenderPassMultiviewCreateInfo::setPCorrelationMasks | ( | const uint32_t * | pCorrelationMasks_ | ) |

inline

Definition at line 14145 of file vulkan.hpp.

{
pCorrelationMasks = pCorrelationMasks_;
return *this;
}

References pCorrelationMasks.

## setPNext()

RenderPassMultiviewCreateInfo& VULKAN_HPP_NAMESPACE::RenderPassMultiviewCreateInfo::setPNext | ( | const void * | pNext_ | ) |

inline

Definition at line 14109 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## setPViewMasks()

RenderPassMultiviewCreateInfo& VULKAN_HPP_NAMESPACE::RenderPassMultiviewCreateInfo::setPViewMasks | ( | const uint32_t * | pViewMasks_ | ) |

inline

Definition at line 14121 of file vulkan.hpp.

{
pViewMasks = pViewMasks_;
return *this;
}

References pViewMasks.

## setPViewOffsets()

RenderPassMultiviewCreateInfo& VULKAN_HPP_NAMESPACE::RenderPassMultiviewCreateInfo::setPViewOffsets | ( | const int32_t * | pViewOffsets_ | ) |

inline

Definition at line 14133 of file vulkan.hpp.

{
pViewOffsets = pViewOffsets_;
return *this;
}

References pViewOffsets.

## setSubpassCount()

RenderPassMultiviewCreateInfo& VULKAN_HPP_NAMESPACE::RenderPassMultiviewCreateInfo::setSubpassCount | ( | uint32_t | subpassCount_ | ) |

inline

Definition at line 14115 of file vulkan.hpp.

{
subpassCount = subpassCount_;
return *this;
}

References subpassCount.

## Field Documentation

## correlationMaskCount

uint32_t VULKAN_HPP_NAMESPACE::RenderPassMultiviewCreateInfo::correlationMaskCount

Definition at line 14187 of file vulkan.hpp.

Referenced by operator==(), and setCorrelationMaskCount().

## dependencyCount

uint32_t VULKAN_HPP_NAMESPACE::RenderPassMultiviewCreateInfo::dependencyCount

Definition at line 14185 of file vulkan.hpp.

Referenced by operator==(), and setDependencyCount().

## pCorrelationMasks

const uint32_t* VULKAN_HPP_NAMESPACE::RenderPassMultiviewCreateInfo::pCorrelationMasks

Definition at line 14188 of file vulkan.hpp.

Referenced by operator==(), and setPCorrelationMasks().

## pNext

const void* VULKAN_HPP_NAMESPACE::RenderPassMultiviewCreateInfo::pNext = nullptr

Definition at line 14182 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## pViewMasks

const uint32_t* VULKAN_HPP_NAMESPACE::RenderPassMultiviewCreateInfo::pViewMasks

Definition at line 14184 of file vulkan.hpp.

Referenced by operator==(), and setPViewMasks().

## pViewOffsets

const int32_t* VULKAN_HPP_NAMESPACE::RenderPassMultiviewCreateInfo::pViewOffsets

Definition at line 14186 of file vulkan.hpp.

Referenced by operator==(), and setPViewOffsets().

## sType

StructureType VULKAN_HPP_NAMESPACE::RenderPassMultiviewCreateInfo::sType = StructureType::eRenderPassMultiviewCreateInfo

private

Definition at line 14179 of file vulkan.hpp.

Referenced by operator==().

## subpassCount

uint32_t VULKAN_HPP_NAMESPACE::RenderPassMultiviewCreateInfo::subpassCount

Definition at line 14183 of file vulkan.hpp.

Referenced by operator==(), and setSubpassCount().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::RenderPassMultiviewCreateInfo::RenderPassMultiviewCreateInfo
RenderPassMultiviewCreateInfo(uint32_t subpassCount_=0, const uint32_t *pViewMasks_=nullptr, uint32_t dependencyCount_=0, const int32_t *pViewOffsets_=nullptr, uint32_t correlationMaskCount_=0, const uint32_t *pCorrelationMasks_=nullptr)
Definition: vulkan.hpp:14084
VULKAN_HPP_NAMESPACE::RenderPassMultiviewCreateInfo::pCorrelationMasks
const uint32_t * pCorrelationMasks
Definition: vulkan.hpp:14188
VULKAN_HPP_NAMESPACE::RenderPassMultiviewCreateInfo::pViewMasks
const uint32_t * pViewMasks
Definition: vulkan.hpp:14184
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::RenderPassMultiviewCreateInfo::pNext
const void * pNext
Definition: vulkan.hpp:14182
VULKAN_HPP_NAMESPACE::RenderPassMultiviewCreateInfo::operator==
bool operator==(RenderPassMultiviewCreateInfo const &rhs) const
Definition: vulkan.hpp:14161
VULKAN_HPP_NAMESPACE::RenderPassMultiviewCreateInfo::dependencyCount
uint32_t dependencyCount
Definition: vulkan.hpp:14185
VULKAN_HPP_NAMESPACE::RenderPassMultiviewCreateInfo::subpassCount
uint32_t subpassCount
Definition: vulkan.hpp:14183
VULKAN_HPP_NAMESPACE::RenderPassMultiviewCreateInfo::pViewOffsets
const int32_t * pViewOffsets
Definition: vulkan.hpp:14186
VULKAN_HPP_NAMESPACE::RenderPassMultiviewCreateInfo::correlationMaskCount
uint32_t correlationMaskCount
Definition: vulkan.hpp:14187
VkRenderPassMultiviewCreateInfo
Definition: vulkan_core.h:4245
VULKAN_HPP_NAMESPACE::RenderPassMultiviewCreateInfo::sType
StructureType sType
Definition: vulkan.hpp:14179